Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> PHP-Nuke Patched Series By Chatserv
Author Message
Randomizer
Regular
Regular


Joined: Jun 10, 2005
Posts: 57
Location: Sweden

PostPosted: Thu Sep 15, 2005 8:28 am Reply with quote

Can someone tell me how to check which patch I have?
Is 2.9, 3.0 och 3.1?
Is there a simple way to do this?
 
View user's profile Send private message Visit poster's website
chatserv
Member Emeritus


Joined: May 02, 2003
Posts: 1389
Location: Puerto Rico

PostPosted: Thu Sep 15, 2005 10:59 am Reply with quote

The best way would be to check the versions.txt or readme file that came with the patch, if you deleted it then open the main index.php file, scroll all the way down, if the file has Log data then it's version 2.9 or older and the version will be listed there, if that data is missing then to find out if it's 3.0 or 3.1 if you find:
Code:
$home = 1;

in the file then it's 3.0, if instead it has:
Code:
define('HOME_FILE', true);

it's 3.1
 
View user's profile Send private message Visit poster's website
montego
Site Admin


Joined: Aug 29, 2004
Posts: 9453
Location: Arizona

PostPosted: Thu Sep 15, 2005 6:28 pm Reply with quote

Personally, I would vote to including a define in the config.php with the patch version level that could also be used by module writers to drive key behaviours such as supporting multiple patch versions which change primary methods / variables within core nuke.

Just my 2-cents worth.

montego

_________________
Only registered users can see links on this board! Get registered or login!
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
Randomizer
PostPosted: Fri Sep 16, 2005 3:30 am Reply with quote

Thanks chatserv, I'll check it out...

montego, intressting thoughts...
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> PHP-Nuke Patched Series By Chatserv

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©